Ping

Check the availability of the InfluxDB 3 Cloud Dedicated instance.
GET /ping

Get the status of the instance

Reports the InfluxQL bridge querier health and the InfluxDB version of the instance.

The response is a HTTP 204 status code to inform you the querier is available.

For InfluxDB 3 Cloud Dedicated, this endpoint only checks the status of queriers; doesn’t check the status of ingesters.

To check the health of ingesters before writing data, send a request to one of the write endpoints.

This endpoint doesn’t require authentication.

Example request Ask AI about this
curl --request GET \
  "https://cluster-id.a.influxdb.io/ping" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

204 Success–the querier is available. Headers contain InfluxDB version information.
4xx

InfluxDB Cloud

  • Doesn’t return this error.
HEAD /ping

Get the status of the instance

Reports the InfluxQL bridge querier health and the InfluxDB version of the instance.

The response is a HTTP 204 status code to inform you the querier is available.

For InfluxDB 3 Cloud Dedicated, this endpoint only checks the status of queriers; doesn’t check the status of ingesters.

To check the health of ingesters before writing data, send a request to one of the write endpoints.

This endpoint doesn’t require authentication.

Example request Ask AI about this
curl --request HEAD \
  "https://cluster-id.a.influxdb.io/ping" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

204 Success–the querier is available. Headers contain InfluxDB version information.
4xx

InfluxDB Cloud

  • Doesn’t return this error.

Was this page helpful?

Thank you for your feedback!